Loading...
Searching...
No Matches
ISMRMRD::Optional< T > Class Template Reference
XML API

## Public Member Functions

| Optional (const T &v)
Optional & | operator= (const Optional &o)
Optional & | operator= (const T &v)
T * | operator-> ()
T & | operator* ()
const T * | operator-> () const
const T & | operator* () const
| operator bool () const
bool | is_present () const
bool | has_value () const noexcept
T & | value ()
const T & | value () const
T & | get ()
const T & | get () const
bool | operator== (const Optional< T > &other) const
bool | operator== (const T &val) const
T & | operator() ()
void | set (const T &v)

## Protected Attributes

bool | present_
T | value_

The documentation for this class was generated from the following file:

- xml.h